# $Revision: 1.23.2.2 $, $Date: 2003/04/28 12:51:52 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	News
%define	pnam	Article
Summary:	News::Article Perl module
Summary(cs):	Modul News::Article pro Perl
Summary(da):	Perlmodul News::Article
Summary(de):	News::Article Perl Modul
Summary(es):	Mdulo de Perl News::Article
Summary(fr):	Module Perl News::Article
Summary(it):	Modulo di Perl News::Article
Summary(ja):	News::Article Perl ⥸塼
Summary(ko):	News::Article  
Summary(no):	Perlmodul News::Article
Summary(pl):	Modu Perla News::Article
Summary(pt):	Mdulo de Perl News::Article
Summary(pt_BR):	Mdulo Perl News::Article
Summary(ru):	  Perl News::Article
Summary(sv):	News::Article Perlmodul
Summary(uk):	  Perl News::Article
Summary(zh_CN):	News::Article Perl ģ
Name:		perl-News-Article
Version:	1.27
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildRequires:	perl-libnet
BuildRequires:	perl-PGP-Sign
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
News::Article is a module for handling Usenet articles in mail or news
form.

%description -l pl
News::Article jest moduem przeznaczonym do pracy z artykuami grup
dyskusyjnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitelib}/News/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-News-Article.spec,v $
Revision 1.23.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.23.2.1  2003/03/13 00:58:23  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.23  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:37:29  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/11/26 00:14:34  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.20  2002/09/27 13:44:51  ankry
- added tests on bcond, translations
- version 1.27, release 1

Revision 1.19  2002/07/10 08:48:22  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:33:42  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:19:26  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:31:30  depesz
adapterized

Revision 1.13  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:13:56  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/22 19:44:47  kloczek
- spec adapterized,
- do not include .packlist file in %files.

Revision 1.8  2001/01/13 01:27:37  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:52  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
